cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/get-social-niches \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/get-social-niches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/get-social-niches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 200,
"message": "OK"
},
"data": [
{
"tagID": "accessories-and-jewellery",
"name": "Accessories & Jewellery"
},
{
"tagID": "adult-content",
"name": "Adult content"
},
{
"tagID": "alcohol-alcohol",
"name": "Alcohol"
},
{
"tagID": "animals",
"name": "Animals"
},
{
"tagID": "architecture-and-urban-design",
"name": "Architecture & Urban Design"
},
{
"tagID": "art-artists",
"name": "Art/Artists"
},
{
"tagID": "beauty",
"name": "Beauty"
},
{
"tagID": "business-and-careers",
"name": "Business & Careers"
},
{
"tagID": "cars-and-motorbikes",
"name": "Cars & Motorbikes"
},
{
"tagID": "cinema-and-Actors-actresses",
"name": "Cinema & Actors/actresses"
},
{
"tagID": "clothing-and-outfits",
"name": "Clothing & Outfits"
},
{
"tagID": "comics-and-sketches",
"name": "Comics & sketches"
},
{
"tagID": "computers-and-gadgets",
"name": "Computers & Gadgets"
},
{
"tagID": "crypto",
"name": "Crypto"
},
{
"tagID": "diy-and-design",
"name": "DIY & Design"
},
{
"tagID": "education-education",
"name": "Education"
},
{
"tagID": "extreme-sports-and-outdoor-activity",
"name": "Extreme Sports & Outdoor activity"
},
{
"tagID": "family",
"name": "Family"
},
{
"tagID": "fashion-fashion",
"name": "Fashion"
},
{
"tagID": "finance-and-economics",
"name": "Finance & Economics"
},
{
"tagID": "fitness-and-gym",
"name": "Fitness & Gym"
},
{
"tagID": "food-and-cooking",
"name": "Food & Cooking"
},
{
"tagID": "gaming",
"name": "Gaming"
},
{
"tagID": "government",
"name": "Government"
},
{
"tagID": "health-and-medicine",
"name": "Health & Medicine"
},
{
"tagID": "humor-and-fun-and-happiness",
"name": "Humor & Fun & Happiness"
},
{
"tagID": "kids-and-toys",
"name": "Kids & Toys"
},
{
"tagID": "lifestyle",
"name": "Lifestyle"
},
{
"tagID": "literature-and-journalism",
"name": "Literature & Journalism"
},
{
"tagID": "luxury",
"name": "Luxury"
},
{
"tagID": "machinery-and-technologies",
"name": "Machinery & Technologies"
},
{
"tagID": "management-and-marketing",
"name": "Management & Marketing"
},
{
"tagID": "mobile-related",
"name": "Mobile related"
},
{
"tagID": "modeling",
"name": "Modeling"
},
{
"tagID": "music-music",
"name": "Music"
},
{
"tagID": "nature-and-landscapes",
"name": "Nature & landscapes"
},
{
"tagID": "news-and-media",
"name": "News & media"
},
{
"tagID": "nft",
"name": "NFT"
},
{
"tagID": "photography",
"name": "Photography"
},
{
"tagID": "politics-politics",
"name": "Politics"
},
{
"tagID": "racing-sports",
"name": "Racing Sports"
},
{
"tagID": "science",
"name": "Science"
},
{
"tagID": "shopping-and-retail",
"name": "Shopping & Retail"
},
{
"tagID": "shows",
"name": "Shows"
},
{
"tagID": "sports",
"name": "Sports"
},
{
"tagID": "sports-with-a-ball",
"name": "Sports with a ball"
},
{
"tagID": "sweets-and-bakery",
"name": "Sweets & Bakery"
},
{
"tagID": "tobacco-and-smoking",
"name": "Tobacco & Smoking"
},
{
"tagID": "trainers-and-coaches",
"name": "Trainers & Coaches"
},
{
"tagID": "travel-travel",
"name": "Travel"
},
{
"tagID": "water-sports",
"name": "Water sports"
},
{
"tagID": "winter-sports",
"name": "Winter sports"
}
]
}
Other
Get Niches List
Get the full list of social niches.
GET
/
wf
/
get-social-niches
cURL
{
"status": {
"code": 200,
"message": "OK"
},
"data": [
{
"tagID": "accessories-and-jewellery",
"name": "Accessories & Jewellery"
},
{
"tagID": "adult-content",
"name": "Adult content"
},
{
"tagID": "alcohol-alcohol",
"name": "Alcohol"
},
{
"tagID": "animals",
"name": "Animals"
},
{
"tagID": "architecture-and-urban-design",
"name": "Architecture & Urban Design"
},
{
"tagID": "art-artists",
"name": "Art/Artists"
},
{
"tagID": "beauty",
"name": "Beauty"
},
{
"tagID": "business-and-careers",
"name": "Business & Careers"
},
{
"tagID": "cars-and-motorbikes",
"name": "Cars & Motorbikes"
},
{
"tagID": "cinema-and-Actors-actresses",
"name": "Cinema & Actors/actresses"
},
{
"tagID": "clothing-and-outfits",
"name": "Clothing & Outfits"
},
{
"tagID": "comics-and-sketches",
"name": "Comics & sketches"
},
{
"tagID": "computers-and-gadgets",
"name": "Computers & Gadgets"
},
{
"tagID": "crypto",
"name": "Crypto"
},
{
"tagID": "diy-and-design",
"name": "DIY & Design"
},
{
"tagID": "education-education",
"name": "Education"
},
{
"tagID": "extreme-sports-and-outdoor-activity",
"name": "Extreme Sports & Outdoor activity"
},
{
"tagID": "family",
"name": "Family"
},
{
"tagID": "fashion-fashion",
"name": "Fashion"
},
{
"tagID": "finance-and-economics",
"name": "Finance & Economics"
},
{
"tagID": "fitness-and-gym",
"name": "Fitness & Gym"
},
{
"tagID": "food-and-cooking",
"name": "Food & Cooking"
},
{
"tagID": "gaming",
"name": "Gaming"
},
{
"tagID": "government",
"name": "Government"
},
{
"tagID": "health-and-medicine",
"name": "Health & Medicine"
},
{
"tagID": "humor-and-fun-and-happiness",
"name": "Humor & Fun & Happiness"
},
{
"tagID": "kids-and-toys",
"name": "Kids & Toys"
},
{
"tagID": "lifestyle",
"name": "Lifestyle"
},
{
"tagID": "literature-and-journalism",
"name": "Literature & Journalism"
},
{
"tagID": "luxury",
"name": "Luxury"
},
{
"tagID": "machinery-and-technologies",
"name": "Machinery & Technologies"
},
{
"tagID": "management-and-marketing",
"name": "Management & Marketing"
},
{
"tagID": "mobile-related",
"name": "Mobile related"
},
{
"tagID": "modeling",
"name": "Modeling"
},
{
"tagID": "music-music",
"name": "Music"
},
{
"tagID": "nature-and-landscapes",
"name": "Nature & landscapes"
},
{
"tagID": "news-and-media",
"name": "News & media"
},
{
"tagID": "nft",
"name": "NFT"
},
{
"tagID": "photography",
"name": "Photography"
},
{
"tagID": "politics-politics",
"name": "Politics"
},
{
"tagID": "racing-sports",
"name": "Racing Sports"
},
{
"tagID": "science",
"name": "Science"
},
{
"tagID": "shopping-and-retail",
"name": "Shopping & Retail"
},
{
"tagID": "shows",
"name": "Shows"
},
{
"tagID": "sports",
"name": "Sports"
},
{
"tagID": "sports-with-a-ball",
"name": "Sports with a ball"
},
{
"tagID": "sweets-and-bakery",
"name": "Sweets & Bakery"
},
{
"tagID": "tobacco-and-smoking",
"name": "Tobacco & Smoking"
},
{
"tagID": "trainers-and-coaches",
"name": "Trainers & Coaches"
},
{
"tagID": "travel-travel",
"name": "Travel"
},
{
"tagID": "water-sports",
"name": "Water sports"
},
{
"tagID": "winter-sports",
"name": "Winter sports"
}
]
}
⌘I